Name:		slimlock
Version:	0.11
Release:	%mkrel 2
Summary:	Unholy screen locker based on SLiM
Group:		Graphical desktop/Other
License:	GPLv2
Url:		http://joelburget.com/slimlock/
#
# git clone https://github.com/joelburget/slimlock.git
# cd slimlock
# git archive --format=tar --prefix=slimlock-v0.11/ v0.11 | xz > ../slimlock-v0.11.tar.xz
#
Source0:	%{name}-v%{version}.tar.xz
Patch0:		slimlock-v0.11-gcc4.7.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pam-devel
Requires:	slim

%description
This is the Frankenstein's monster of screen lockers. Developer had the horrible idea
to graft SLiM and slock together to create the screen locker that should have
never been.

Slimlock reads SLiM config files and uses the same interface. If you use
SLiM already, then it should work for you automatically.

%prep
%setup -q -n %{name}-v%{version}
%apply_patches

mv README.md README

%build
%setup_compile_flags
%make CFGDIR=%{_sysconfdir}

%install
%makeinstall_std

%files
%doc README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/pam.d/slimlock
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.11-2.mga3
+ Revision: 382180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 0.11-1.mga3
+ Revision: 265476
- imported package slimlock

